#include <stdio.h>
#include <stdlib.h>

//brStal = N; perVisina = L;
int main()
{   
    int brStal, perVisina;
    scanf("%d %d", &brStal, &perVisina);

    for(int a=1; a<=brStal; a++)
    {
        int trStalaktit;
        scanf("%d", &trStalaktit);

        if(trStalaktit <= perVisina)
        {
            return a;
        }
    }

    return -1;
}